using SWRIS.Enums;
using System;
using System.ComponentModel;

namespace SWRIS.Dtos
{
    public class GetRecordsInputDto : INotifyPropertyChanged
    {
        private int? ropeNumber;
        private DateTime startTime = DateTime.Today.AddDays(-1);
        private DateTime endTime = DateTime.Today.AddDays(1).AddSeconds(-1);
        private int? limit;
        private int? offset;
        private int? riskLevel;
        public int? RopeNumber { get => ropeNumber; set { ropeNumber = value; OnPropertyChanged("RopeNumber"); } }
        public int? Limit { get => limit; set { limit = value; OnPropertyChanged("Limit"); } }
        public int? Offset { get => offset; set { offset = value; OnPropertyChanged("Offset"); } }
        public DateTime StartTime { get => startTime; set { startTime = value; OnPropertyChanged("StartTime"); } }
        public DateTime EndTime { get => endTime; set { endTime = value; OnPropertyChanged("EndTime"); } }
        public int? RiskLevel { get => riskLevel; set { riskLevel = value; OnPropertyChanged("RiskLevel"); } }

        public event PropertyChangedEventHandler PropertyChanged;
        protected internal virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
